package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBWard entity.
 */
public class TBWardDTO implements Serializable {

    private Long id;

    private String name;

    private Long tbDistrictId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getTbDistrictId() {
        return tbDistrictId;
    }

    public void setTbDistrictId(Long tBDistrictId) {
        this.tbDistrictId = tBDistrictId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBWardDTO tBWardDTO = (TBWardDTO) o;
        if (tBWardDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBWardDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBWardDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", tbDistrict=" + getTbDistrictId() +
            "}";
    }
}
